/*
 * EH_FindCCU.h
 *
 *  Created on: 2020年10月9日
 *      Author: hj
 */

#ifndef INCLUDE_EH_FINDCCU_H_
#define INCLUDE_EH_FINDCCU_H_

#include "EH_ToolKit.h"

class EH_FindCCU {
public:
	EH_FindCCU();
	virtual ~EH_FindCCU();
	int init(string ccuId,string ccuLocalIP);
	void destroy();

public:
	static void* run0(void* opt);

private:
	void* run(void* opt);

	void sendFindCCUMsg();

private:
	string ccuId;
	string ccuSn;
	string ccuIp;
	string ccuLocalIP;
	bool destroyed;

    int searchCcuFd;
};




#endif /* INCLUDE_EH_FINDCCU_H_ */
